# Status

## matcherStatus

> This method return the complete information of the cluster and its nodes.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"4.7.0"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/status":{"get":{"description":"This method return the complete information of the cluster and its nodes.","tags":["status"],"operationId":"matcherStatus","summary":"matcherStatus","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetMatcherStatusResponse"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}},"components":{"schemas":{"GetMatcherStatusResponse":{"type":"object","properties":{"data":{"type":"object","properties":{"configuredMatchers":{"description":"Number of matchers running on the cluster.","type":"integer","format":"int32"},"peopleCount":{"description":"Sum of all people in the nodes.","type":"integer","format":"int32"},"ulCount":{"description":"Sum of all ULs in the nodes.","type":"integer","format":"int32"},"nodes":{"description":"Array of nodes.","type":"array","items":{"type":"object","properties":{"hostname":{"description":"Name of the node.","type":"string"},"monitorPort":{"description":"Port of the GBDS Monitor service.","type":"integer","format":"int32"},"status":{"description":"Status of the node.","type":"string","enum":["NONE","SPRING_START","CLUSTER_ASSEMBLY","MATCHERS_ASSEMBLY","PEOPLE_BOOT","UL_BOOT","KAFKA_START","RUNNING","SHUTTING_DOWN"]},"configuredMatchers":{"description":"Number of matchers running on the node.","type":"integer","format":"int32"},"peopleCount":{"description":"Sum of all people in this node.","type":"integer","format":"int32"},"ulCount":{"description":"Sum of all ULs in this node.","type":"integer","format":"int32"},"memory":{"description":"Memory used by the node. Unused biometric modalities will not be shown.","$ref":"#/components/schemas/Memory"},"activeMatchers":{"description":"Matchers running on the node.","type":"array","items":{"type":"object","properties":{"name":{"description":"Name of the matcher.","type":"string"},"peopleCount":{"description":"Quantity of people in the matcher.","type":"integer","format":"int32"},"ulCount":{"description":"Quantity of ULs in the matcher.","type":"integer","format":"int32"},"memory":{"description":"Memory used by the matcher. Unused biometric modalities will not be shown.","$ref":"#/components/schemas/Memory"}}}}}}}}}}},"Memory":{"type":"object","properties":{"FINGERPRINT":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}},"PALMPRINT":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}},"NEWBORN":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}},"UL_FINGERPRINT":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}},"UL_PALMPRINT":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}},"FACE":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}},"IRIS":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32"}}}}},"InternalError":{"type":"object","properties":{"type":{"description":"Type of the Error","type":"string","enum":["INTERNAL_ERROR"]},"code":{"description":"Internal error code.","type":"string","enum":["DRIVER_OFFLINE","CREDENTIAL_SERVER_CONNECTION_ERROR","CLIENT_NOT_INITIALIZE","TRUSTED_ENROLL_WITH_PENDING_STATUS","SUBJECT_NOT_SET","UNKNOWN"]},"message":{"description":"Message detailing the nature of the Error","type":"string"},"meta":{"description":"Contains extra information about the API call.","type":"object"}}}}}}
```

## gbdsStatus

> This method return the GBDS status, number of matchers, and nodes from GBDS and all nodes.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"4.7.0"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/status/driver":{"get":{"description":"This method return the GBDS status, number of matchers, and nodes from GBDS and all nodes.","tags":["status"],"operationId":"gbdsStatus","summary":"gbdsStatus","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetGBDSStatusResponse"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}},"components":{"schemas":{"GetGBDSStatusResponse":{"type":"object","properties":{"data":{"type":"object","properties":{"configuredMatchers":{"description":"Number of matchers running on the cluster.","type":"integer","format":"int32"},"nodes":{"type":"array","items":{"type":"object","properties":{"hostname":{"description":"Name of the node.","type":"string"},"monitorPort":{"description":"Port of the GBDS Monitor service.","type":"integer","format":"int32"},"configuredMatchers":{"description":"Number of matchers running on the node.","type":"integer","format":"int32"}}}}}}}},"InternalError":{"type":"object","properties":{"type":{"description":"Type of the Error","type":"string","enum":["INTERNAL_ERROR"]},"code":{"description":"Internal error code.","type":"string","enum":["DRIVER_OFFLINE","CREDENTIAL_SERVER_CONNECTION_ERROR","CLIENT_NOT_INITIALIZE","TRUSTED_ENROLL_WITH_PENDING_STATUS","SUBJECT_NOT_SET","UNKNOWN"]},"message":{"description":"Message detailing the nature of the Error","type":"string"},"meta":{"description":"Contains extra information about the API call.","type":"object"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.griaule.com/apis/gbds-4/status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
